class AirConditionerSimulator:
    def __init__(self):
        self.goal_Temperature = 22
        self.status = False

    def get_goal_Temperature(self):
        return self.goal_Temperature
    
    def get_status(self):
        return self.status
    
    def toggle(self):
        self.status = not self.status

    def temperature_Up(self):
        if self.status:
            self.goal_Temperature = min(35,self.goal_Temperature +1)

    def temperature_Down(self):
        if self.status:
            self.goal_Temperature = max(10,self.goal_Temperature -1)


class AirConditioner:
    def __init__(self):
        self.real_device = AirConditionerSimulator()
        self.goal_Temperature = 22 # the temperature the air conditioner aims to reach
        self.status = False # indicates whether the device is turned on (True) or off (False)

    def toggle(self):
        # Toggles the status property
        self.status = not self.status

        print(f"toggle()")
        self.real_device.toggle()

    def temperature_Up(self):
        # Increases the goal temperature by 1 degree Celsius
        self.goal_Temperature += 1

        print(f"temperature_Up()")
        self.real_device.temperature_Up()

    def temperature_Down(self):
        # Decreases the goal temperature by 1 degree Celsius
        self.goal_Temperature -= 1






        print(f"temperature_Down()")
        self.real_device.temperature_Down()

# Turn the Conditioner on.
airConditioner = AirConditioner()
airConditioner.toggle()





























































































































































































































































































































































































































































































































































































































































































































































































MS









































MS









MS









MS





MS




MS




MS


MS

MS


MS

# COMMENTED OUT - (SYNTAX ERROR):  MS

MS

MS

MS
MS


MS
MS

MS
MS

MS
MS

MSMS

MS
MS
MS
MS
MS
MSMS
M
MSMSMS
MS
MSMS
MMS
MS

MSMSMS
# COMMENTED OUT - (SYNTAX ERROR): MSMSMS MS
MS

MSMSMSMSMSMSMSMSMSMSMSMS

MSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMS
# COMMENTED OUT - (SYNTAX ERROR): MSMSMSMSMSMSMSMSMSMSMS MSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMSMS




simulator = airConditioner.real_device
print(simulator.status)